---
title: "Setting Google Organic SERP Tasks"
url: "https://docs.dataforseo.com/v3/serp/google/organic/task_post/"
date: "2026-06-06"
---

## Setting Google Organic SERP Tasks

  
SERP API provides top 10 search engine results by default. These results are specific to the selected location (see [the List of Locations](https://docs.dataforseo.com/v3/serp/google/locations.md)) and language (see [the List of Languages](https://docs.dataforseo.com/v3/serp/google/languages.md)) settings.

There are two different priorities that stand for the relative speed of task execution: normal and high.

 

 

 ![checked](https://docs.dataforseo.com/v3/wp-content/themes/dataforseo/assets/img/icons/checked-circle.svg) POST  https://api.dataforseo.com/v3/serp/google/organic/task\_post     

      

Pricing

  Your account will be charged only for setting a task.  
The cost can be calculated on the [Pricing](https://dataforseo.com/pricing/serp/google-organic-serp-api "Pricing") page.

 

 All POST data should be sent in the [JSON](https://en.wikipedia.org/wiki/JSON) format (UTF-8 encoding). The task setting is done using the POST method. When setting a task, you should send all task parameters in the task array of the generic POST array. You can send up to 2000 API calls per minute, with each POST call containing no more than 100 tasks. If your POST call contains over 100 tasks, the tasks over this limit will return the `40006` error. Visit [DataForSEO Help Center](https://dataforseo.com/help-center/best-practices-low-volume-serp-api-payload) to get practical tips for request handling depending on your SERP API payload volume.

You can retrieve the results of completed tasks using the unique task identifier `id`. Alternatively, we can send them to you as soon as they are ready if you specify the `postback_url` or `pingback_url` when setting a task. Note that if your server doesn’t respond within 10 seconds, the connection will be aborted by timeout, and the task will be transferred to the [‘Tasks Ready’](https://docs.dataforseo.com/v3/serp/google/organic/tasks_ready.md) list. The error code and message depend on your server’s configuration.

**See [Help Center](https://dataforseo.com/help-center/pingbacks-postbacks-with-dataforseo-api) to learn more about using pingbacks and postbacks with DataForSEO APIs.**

Below you will find a detailed description of the parameters that are required or recommended for setting a task.

Main Parameters

| Field name | Type | Description |
|---|---|---|
| `keyword` | string | *keyword*  **required field**  you can specify **up to 700 characters** in the `keyword` field  all %## will be decoded (plus character ‘+’ will be decoded to a space character)  if you need to use the “%” character for your `keyword`, please specify it as “%25”;  if you need to use the “+” character for your `keyword`, please specify it as “%2B”;  if this field contains such parameters as *‘allinanchor:’, ‘allintext:’, ‘allintitle:’, ‘allinurl:’, ‘cache:’, ‘define:’, ‘filetype:’, ‘id:’, ‘inanchor:’, ‘info:’, ‘intext:’, ‘intitle:’, ‘inurl:’, ‘link:’, ‘site:’, **the charge per task will be multiplied by 5***  learn more about rules and limitations of `keyword` and `keywords` fields in DataForSEO APIs in this [Help Center article](https://dataforseo.com/help-center/rules-and-limitations-of-keyword-and-keywords-fields-in-dataforseo-apis) |
| `location_code` | integer | *search engine location code*  **required field if you don't specify** `location_name` or `location_coordinate`  **if you use this field, you don't need to specify `location_name` or `location_coordinate`**  you can receive the list of available locations of the search engines with their `location_code` by making a separate request to the `https://api.dataforseo.com/v3/serp/google/locations`  example:  `2840` |
| `language_code` | string | *search engine language code*  **required field if you don't specify** `language_name`  **if you use this field, you don't need to specify `language_name`**  you can receive the list of available languages of the search engine with their `language_code` by making a separate request to the `https://api.dataforseo.com/v3/serp/google/languages`example:`en` |
| `depth` | integer | *parsing depth*  optional field  number of results in SERP  **default value: `10`**  max value: `700`     **Your account will be billed per each SERP containing up to 10 results;**Setting depth above 10 may result in additional charges [if the search engine returns more than 10 results](https://dataforseo.com/help-center/how-many-results-scraped);  The cost can be calculated on the [Pricing](https://dataforseo.com/pricing/serp/google-organic-serp-api "Pricing") page. |
| `device` | string | *device type*  optional field  return results for a specific device type  can take the values:`desktop`, `mobile`  default value: `desktop` |
| `load_async_ai_overview` | boolean | *load asynchronous ai overview*  optional field  set to `true` to obtain `ai_overview` items is SERPs even if they are loaded asynchronously;  if set to `false`, you will only obtain `ai_overview` items from cache;  default value: `false`  **Note:** you will be charged extra $0.0006 for using this parameter;  if the element is absent or contains `"asynchronous_ai_overview": false`, all extra charges will be returned to your account balance |
| `pingback_url` | string | *notification URL of a completed task*  optional field  when a task is completed we will notify you by GET request sent to the URL you have specified  you can use the ‘$id’ string as a `$id` variable and ‘$tag’ as urlencoded `$tag` variable. We will set the necessary values before sending the request.  example:  `http://your-server.com/pingscript?id=$id`  `http://your-server.com/pingscript?id=$id&tag=$tag`  **Note:** special characters in `pingback_url` will be urlencoded;  i.a., the `#` character will be encoded into `%23`     learn more on our [Help Center](https://dataforseo.com/help-center/pingbacks-postbacks-with-dataforseo-api) |
| `postback_url` | string | *URL for sending task results*  optional field  once the task is completed, we will send a POST request with its results compressed in the `gzip` format to the `postback_url` you specified  you can use the ‘$id’ string as a `$id` variable and ‘$tag’ as urlencoded `$tag` variable. We will set the necessary values before sending the request  example:  `http://your-server.com/postbackscript?id=$id`  `http://your-server.com/postbackscript?id=$id&tag=$tag`  **Note:** special characters in `postback_url` will be urlencoded;  i.a., the `#` character will be encoded into `%23`     learn more on our [Help Center](https://dataforseo.com/help-center/pingbacks-postbacks-with-dataforseo-api) |
| `postback_data` | string | *postback\_url datatype*  **required field if you specify `postback_url`**  corresponds to the datatype that will be sent to your server  possible values:  `regular`, `advanced`, `html` |



  
Below you will find a drop-down list with the additional parameters you can use for setting a task.  
Additional Parameters| Field name | Type | Description |
|---|---|---|
| `priority` | integer | *task priority*  optional field  can take the following values:  1 – normal execution priority (set by default);  2 – high execution priority     You will be additionally charged for the tasks with high execution priority.The cost can be calculated on the [Pricing](https://dataforseo.com/pricing/serp/google-organic-serp-api "Pricing") page. |
| `location_name` | string | *full name of search engine location*  **required field if you don't specify** `location_code` or `location_coordinate`  **if you use this field, you don't need to specify `location_code` or `location_coordinate`**  you can receive the list of available locations of the search engine with their `location_name` by making a separate request to the `https://api.dataforseo.com/v3/serp/google/locations`  example:  `London,England,United Kingdom` |
| `location_coordinate` | string | *GPS coordinates of a location*  **required field if you don't specify** `location_name` or `location_code`  **if you use this field, you don't need to specify `location_name` or `location_code`**  `location_coordinate` parameter should be specified in the *"latitude,longitude,radius"* format  the maximum number of decimal digits for *"latitude"* and *"longitude"*: 7  the minimum value for *"radius"*: 199 (mm)  the maximum value for *"radius"*: 199999 (mm)  example:  `53.476225,-2.243572,200` |
| `language_name` | string | *full name of search engine language*  **required field if you don't specify** `language_code`  **if you use this field, you don't need to specify `language_code`**  you can receive the list of available languages of the search engine with their `language_name` by making a separate request to the `https://api.dataforseo.com/v3/serp/google/languages`  example:  `English` |
| `tag` | string | *user-defined task identifier*  optional field  *the character limit is 255*  you can use this parameter to identify the task and match it with the result  you will find the specified `tag` value in the `data` object of the response |
| `os` | string | *device operating system*  optional field  if you specify `desktop` in the `device` field, choose from the following values: `windows`, `macos`  default value: `windows`  if you specify `mobile` in the `device` field, choose from the following values: `android`, `ios`  default value: `android` |
| `stop_crawl_on_match` | array | *array of targets to stop crawling*  optional field  specified as an array of target objects  each target object consists of one `match_type` field and one `match_value` field  **you can specify up to 10 target objects in this array**  if specified, the response will contain SERP results up to and including the specified `match_value`;  example:  `"stop_crawl_on_match":[{"match_value":"dataforseo.com","match_type":"with_subdomains"}]`  learn more about this parameter on our [Help Center](https://dataforseo.com/help-center/using-the-stop_crawl_on_match-parameter-in-serp-api)     **Your account will be billed for every SERP crawled until the conditions you specified in this array are met** |
| `match_type` | string | *target match type*  **required field if `stop_crawl_on_match` is specified**  type of match for the `match_value`  possible values:  `domain` – specific domain or subdomain  `with_subdomains` – main domain and subdomains  `wildcard` – wildcard pattern |
| `match_value` | string | *target domain, subdomain, or wildcard value*  **required field if `stop_crawl_on_match` is specified**  specify a target domain, subdomain, or wildcard value;  **Note:** domain or subdomain must be specified without a request protocol;  example: `"match_value": "dataforseo.com"`,  `"match_value": "/blog/post-*"` |
| `max_crawl_pages` | integer | *page crawl limit*  optional field  number of search results pages to crawl  max value: `100`  **Note:** you will be charged for each page crawled (10 organic results per page);  learn more about pricing on our [Pricing](https://dataforseo.com/pricing/serp/google-organic-serp-api) page;  **Note#2:** the `max_crawl_pages` and `depth` parameters complement each other;  learn more at [our help center](https://dataforseo.com/help-center/what-is-max-crawl-pages-and-how-does-it-work) |
| `search_param` | string | *additional parameters of the search query*  optional field  [get the list of available parameters and additional details here](https://dataforseo.com/help-center/google-search-engine-parameters-and-how-to-use-them)     **Note:** the following search engine parameters are not supported and will be automatically unset if specified: `lr`, `cr`, `as_qdr`, `as_sitesearch`, `as_occt`, `as_filetype`. |
| `remove_from_url` | array | *remove specific parameters from URLs*  optional field  using this field, you can specify up to 10 parameters to remove from URLs in the result  example:  `"remove_from_url": ["srsltid"]` |
| `expand_ai_overview` | boolean | *expand ai overview*  optional field  set to `true` to expand the `ai_overview` item;  default value: `false`;  **Note:** this parameter applies only to [HTML task results](https://docs.dataforseo.com/v3/serp/google/organic/task_get/html.md) |
| `people_also_ask_click_depth` | integer | *clicks on the corresponding element*  optional field  specify the click depth on the `people_also_ask` element to get additional `people_also_ask_element` items;  **Note** your account will be billed $0.00015 extra for each click regardless of task priority;  if the element is absent or we perform fewer clicks than you specified, all extra charges will be returned to your account balance  possible values: from `1` to `4` |
| `group_organic_results` | boolean | *display related results*  optional field  if set to `true`, the `related_result` element in the response will be provided as a snippet of its parent organic result;  if set to `false`, the `related_result` element will be provided as a separate organic result;  default value: `true` |
| `calculate_rectangles` | boolean | *calcualte pixel rankings for SERP elements in advanced results*  optional field  pixel ranking refers to the distance between the result snippet and top left corner of the screen;  [Visit Help Center to learn more&gt;&gt;](https://dataforseo.com/help-center/pixel-ranking-in-serp-api)  by default, the parameter is set to `false`  **Note:** you will be charged extra $0.0006 for using this parameter |
| `browser_screen_width` | integer | *browser screen width*  optional field  you can set a custom browser screen width to calculate pixel rankings for a particular device;  can be specified within the following range: `240-9999`;  by default, the parameter is set to:  `1920` for `desktop`;  `360` for `mobile` on `android`;  `375` for `mobile` on `iOS`;  **Note:** to use this parameter, set `calculate_rectangles` to `true` |
| `browser_screen_height` | integer | *browser screen height*  optional field  you can set a custom browser screen height to calculate pixel rankings for a particular device;  can be specified within the following range: `240-9999`;  by default, the parameter is set to:  `1080` for `desktop`;  `640` for `mobile` on `android`;  `812` for `mobile` on `iOS`;  **Note:** to use this parameter, set `calculate_rectangles` to `true` |
| `browser_screen_resolution_ratio` | integer | *browser screen resolution ratio*  optional field  you can set a custom browser screen resolution ratio to calculate pixel rankings for a particular device;  can be specified within the following range: `0.5-3`;  by default, the parameter is set to:  `1` for `desktop`;  `3` for `mobile` on `android`;  `3` for `mobile` on `iOS`;  **Note:** to use this parameter, set `calculate_rectangles` to `true` |
| `url` | string | *direct URL of the search query*  optional field  you can specify a direct URL and we will sort it out to the necessary fields. Note that this method is the most difficult for our API to process and also requires you to specify the exact language and location in the URL. In most cases, we wouldn’t recommend using this method.  example:  `https://www.google.co.uk/search?q=%20rank%20tracker%20api&hl=en&gl=GB&uule=w+CAIQIFISCXXeIa8LoNhHEZkq1d1aOpZS`     **Note:** the following search engine parameters are not supported and will be automatically unset if specified in the URL: `lr`, `cr`, `as_qdr`, `as_sitesearch`, `as_occt`, `as_filetype`. |
| `target_search_mode` | string | *target matching mode*  optional field  to enable this parameter, `stop_crawl_on_match` must also be enabled  defines how the crawl should stop when multiple targets are specified in `stop_crawl_on_match`  possible values: `all`, `any`  `all` – the crawl stops only when all specified targets are found  `any` – the crawl stops when any single target is found  default value: `any`  learn more about this parameter on our [Help Center](https://dataforseo.com/help-center/how-to-use-new-crawl-control-parameters-in-google-organic-serp-api) |
| `find_targets_in` | array | *SERP element types to check for targets*  optional field  to enable this parameter, `stop_crawl_on_match` must also be enabled  specifies which SERP element types should be checked for target matches  if not specified, all first-level elements with `url` and `domain` fields are checked for targets  possible values: `organic`, `paid`, `local_pack`, `featured_snippet`, `events`, `google_flights`, `images`, `jobs`, `knowledge_graph`, `local_service`, `map`, `scholarly_articles`, `third_party_reviews`, `twitter`  **Note:** cannot contain the same element types as `ignore_targets_in`  example:  `"find_targets_in": ["organic", "featured_snippet"]`  learn more about this parameter on our [Help Center](https://dataforseo.com/help-center/how-to-use-new-crawl-control-parameters-in-google-organic-serp-api) |
| `ignore_targets_in` | array | *SERP element types to exclude from target search*  optional field  to enable this parameter, `stop_crawl_on_match` must also be enabled  specifies which SERP element types should be excluded when searching for target matches  possible values: `organic`, `paid`, `local_pack`, `featured_snippet`, `events`, `google_flights`, `images`, `jobs`, `knowledge_graph`, `local_service`, `map`, `scholarly_articles`, `third_party_reviews`, `twitter`  **Note:** cannot contain the same element types as `find_targets_in`  example:  `"ignore_targets_in": ["paid", "images"]`  learn more about this parameter on our [Help Center](https://dataforseo.com/help-center/how-to-use-new-crawl-control-parameters-in-google-organic-serp-api) |
| `se_domain` | string | *search engine domain*  optional field  we choose the relevant search engine domain automatically according to the location and language you specify  however, you can set a custom search engine domain in this field  example:  `google.co.uk, google.com.au, google.de`, etc. |



  
As a response of the API server, you will receive [JSON](https://en.wikipedia.org/wiki/JSON)-encoded data containing a `tasks` array with the information specific to the set tasks.

**Description of the fields in the results array:**

| Field name | Type | Description |
|---|---|---|
| `version` | string | *the current version of the API* |
| `status_code` | integer | *general status code*   you can find the full list of the response codes [here](https://docs.dataforseo.com/v3/appendix/errors.md)   **Note:** we strongly recommend designing a necessary system for handling related exceptional or error conditions |
| `status_message` | string | *general informational message*   you can find the full list of general informational messages [here](https://docs.dataforseo.com/v3/appendix/errors.md) |
| `time` | string | *execution time, seconds* |
| `cost` | float | *total tasks cost, USD* |
| `tasks_count` | integer | *the number of tasks in the **`tasks`**array* |
| `tasks_error` | integer | *the number of tasks in the **`tasks`** array returned with an error* |
| **`tasks`** | array | *array of tasks* |
| `id` | string | *unique task identifier in our system*   in the [Universally unique identifier (UUID)](https://en.wikipedia.org/wiki/Universally_unique_identifier) format |
| `status_code` | integer | *status code of the task*   generated by DataForSEO; can be within the following range: 10000-60000 |
| `status_message` | string | *informational message of the task* |
| `time` | string | *execution time, seconds* |
| `cost` | float | *cost of the task, USD* |
| `result_count` | integer | *number of elements in the `result` array* |
| `path` | array | *URL path* |
| `data` | object | *contains the same parameters that you specified in the POST request* |
| **`result`** | array | *array of results*   in this case, the value will be `null` |



 

 









> Instead of ‘login’ and ‘password’ use your credentials from https://app.dataforseo.com/api-access

```
# Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access 
login="login" 
password="password" 
cred="$(printf ${login}:${password} | base64)" 
curl --location --request POST 'https://api.dataforseo.com/v3/serp/google/organic/task_post' 
--header "Authorization: Basic ${cred}"  
--header "Content-Type: application/json" 
--data-raw '[
    {
        "language_code": "en",
        "location_code": 2840,
        "keyword": "albert einstein"
    },
    {
        "language_name": "English",
        "location_name": "United States",
        "keyword": "albert einstein",
        "priority": 2,
        "tag": "some_string_123",
        "pingback_url": "https://your-server.com/pingscript?id=$id&tag=$tag"
    },
    {
        "url": "https://www.google.co.uk/search?q=albert%20einstein&hl=en&gl=GB&uule=w+CAIQIFISCXXeIa8LoNhHEZkq1d1aOpZS",
        "postback_data": "html",
        "postback_url": "https://your-server.com/postbackscript"
    }
]'
```





```php
<?php
// You can download this file from here https://cdn.dataforseo.com/v3/examples/php/php_RestClient.zip
require('RestClient.php');
$api_url = 'https://api.dataforseo.com/';
try {
   // Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access
   $client = new RestClient($api_url, null, 'login', 'password');
} catch (RestClientException $e) {
   echo "n";
   print "HTTP code: {$e->getHttpCode()}n";
   print "Error code: {$e->getCode()}n";
   print "Message: {$e->getMessage()}n";
   print  $e->getTraceAsString();
   echo "n";
   exit();
}
$post_array = array();
// example #1 - a simple way to set a task
// this way requires you to specify a location, a language of search, and a keyword.
$post_array[] = array(
   "language_code" => "en",
   "location_code" => 2840,
   "keyword" => mb_convert_encoding("albert einstein", "UTF-8")
);
// example #2 - a way to set a task with additional parameters
// high priority allows us to complete a task faster, but you will be charged more money.
// after a task is completed, we will send a GET request to the address you specify. Instead of $id and $tag, you will receive actual values that are relevant to this task.
$post_array[] = array(
   "language_name" => "English",
   "location_name" => "United States",
   "keyword" => mb_convert_encoding("albert einstein", "UTF-8"),
   "priority" => 2,
   "tag" => "some_string_123",
   "pingback_url" => 'https://your-server.com/pingscript?id=$id&tag=$tag'
);
// example #3 - an alternative way to set a task
// all the parameters required to set a task are passed via the URL.
// after a task is completed, we will send the results according to the type you specified in the 'postback_data' field to the address you set in the 'postback_url' field.
$post_array[] = array(
   "url" => "https://www.google.co.uk/search?q=albert%20einstein&hl=en&gl=GB&uule=w+CAIQIFISCXXeIa8LoNhHEZkq1d1aOpZS",
   "postback_data" => "html",
   "postback_url" => "https://your-server.com/postbackscript"
);
// this example has a 3 elements, but in the case of large number of tasks - send up to 100 elements per POST request
if (count($post_array) > 0) {
   try {
      // POST /v3/serp/google/organic/task_post
      // in addition to 'google' and 'organic' you can also set other search engine and type parameters
      // the full list of possible parameters is available in documentation
      $result = $client->post('/v3/serp/google/organic/task_post', $post_array);
      print_r($result);
      // do something with post result
   } catch (RestClientException $e) {
      echo "n";
      print "HTTP code: {$e->getHttpCode()}n";
      print "Error code: {$e->getCode()}n";
      print "Message: {$e->getMessage()}n";
      print  $e->getTraceAsString();
      echo "n";
   }
}
$client = null;
?>
```





```js
const post_array = [];

post_array.push({
    "language_code": "en",
    "location_code": 2840,
    "keyword": "albert einstein"
});

const axios = require('axios');

axios({
    method: 'post',
    url: 'https://api.dataforseo.com/v3/serp/google/organic/task_post',
    auth: {
        username: 'login',
        password: 'password'
    },
    data: post_array,
    headers: {
        'content-type': 'application/json'
    }
}).then(function (response) {
    var result = response['data']['tasks'];
    // Result data
    console.log(result);
}).catch(function (error) {
    console.log(error);
});
```





```python
from client import RestClient
# You can download this file from here https://cdn.dataforseo.com/v3/examples/python/python_Client.zip

client = RestClient("login", "password")

post_data = dict()
# example #1 - a simple way to set a task
# this way requires you to specify a location, a language of search, and a keyword.
post_data[len(post_data)] = dict(
    language_code="en",
    location_code=2840,
    keyword="albert einstein"
)
# example #2 - a way to set a task with additional parameters
# high priority allows us to complete a task faster, but you will be charged more.
# after a task is completed, we will send a GET request to the address you specify. Instead of $id and $tag, you will receive actual values that are relevant to this task.
post_data[len(post_data)] = dict(
    language_name="English",
    location_name="United States",
    keyword="albert einstein",
    priority=2,
    tag="some_string_123",
    pingback_url="https://your-server.com/pingscript?id=$id&tag=$tag"
)
# example #3 - an alternative way to set a task
# all the parameters required to set a task are passed via the URL.
# after a task is completed, we will send the results according to the type you specified in the 'postback_data' field to the address you set in the 'postback_url' field.
post_data[len(post_data)] = dict(
    url="https://www.google.co.uk/search?q=instein&hl=en&gl=GB&uule=w+CAIQIFISCXXeIa8LoNhHEZkq1d1aOpZS",
    postback_data="html",
    postback_url="https://your-server.com/postbackscript"
)
# POST /v3/serp/google/organic/task_post
# in addition to 'google' and 'organic' you can also set other search engine and type parameters
# the full list of possible parameters is available in documentation
response = client.post("/v3/serp/google/organic/task_post", post_data)
# you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
if response["status_code"] == 20000:
    print(response)
    # do something with result
else:
    print("error. Code: %d Message: %s" % (response["status_code"], response["status_message"]))
```





```csharp
using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.Net.Http;
using System.Net.Http.Headers;
using System.Text;
using System.Threading.Tasks;

namespace DataForSeoDemos
{
    public static partial class Demos
    {
        public static async Task serp_task_post()
        {
            var httpClient = new HttpClient
            {
                BaseAddress = new Uri("https://api.dataforseo.com/"),
                // Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access
                DefaultRequestHeaders = { Authorization = new AuthenticationHeaderValue("Basic", Convert.ToBase64String(Encoding.ASCII.GetBytes("login:password"))) }
            };
            var postData = new List<object>();
            // example #1 - a simple way to set a task
            // this way requires you to specify a location, a language of search, and a keyword.
            postData.Add(new
            {
                language_code = "en",
                location_code = 2840,
                keyword = "albert einstein"
            });
            // example #2 - a way to set a task with additional parameters
            // high priority allows us to complete a task faster, but you will be charged more money.
            // after a task is completed, we will send a GET request to the address you specify. Instead of $id and $tag, you will receive actual values that are relevant to this task.
            postData.Add(new
            {
                language_name = "English",
                location_name = "United States",
                keyword = "albert einstein",
                priority = 2,
                tag = "some_string_123",
                pingback_url = "https://your-server.com/pingscript?id=$id&tag=$tag"
            });
            // example #3 - an alternative way to set a task
            // all the parameters required to set a task are passed via the URL.
            // after a task is completed, we will send the results according to the type you specified in the 'postback_data' field to the address you set in the 'postback_url' field.
            postData.Add(new
            {
                url = "https://www.google.co.uk/search?q=albert%20einstein&hl=en&gl=GB&uule=w+CAIQIFISCXXeIa8LoNhHEZkq1d1aOpZS",
                postback_data = "html",
                postback_url = "https://your-server.com/postbackscript"
            });
            // POST /v3/serp/google/organic/task_post
            // in addition to 'google' and 'organic' you can also set other search engine and type parameters
            // the full list of possible parameters is available in documentation
            var taskPostResponse = await httpClient.PostAsync("/v3/serp/google/organic/task_post", new StringContent(JsonConvert.SerializeObject(postData)));
            var result = JsonConvert.DeserializeObject<dynamic>(await taskPostResponse.Content.ReadAsStringAsync());
            // you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
            if (result.status_code == 20000)
            {
                // do something with result
                Console.WriteLine(result);
            }
            else
                Console.WriteLine($"error. Code: {result.status_code} Message: {result.status_message}");
        }
    }
}
```





> The above command returns JSON structured like this:

```
{
  "version": "0.1.20200129",
  "status_code": 20000,
  "status_message": "Ok.",
  "time": "0.0818 sec.",
  "cost": 0.0045,
  "tasks_count": 3,
  "tasks_error": 0,
  "tasks": [
    {
      "id": "01291721-1535-0066-0000-8f0635c0dc89",
      "status_code": 20100,
      "status_message": "Task Created.",
      "time": "0.0038 sec.",
      "cost": 0.0015,
      "result_count": 0,
      "path": [
        "v3",
        "serp",
        "google",
        "organic",
        "task_post"
      ],
      "data": {
        "api": "serp",
        "function": "task_post",
        "se": "google",
        "se_type": "organic",
        "language_code": "en",
        "location_code": 2840,
        "keyword": "albert enstein",
        "device": "desktop",
        "os": "windows"
      },
      "result": null
    },
    {
      "id": "01291721-1535-0066-0000-2e7a8bf7302c",
      "status_code": 20100,
      "status_message": "Task Created.",
      "time": "0.0050 sec.",
      "cost": 0.0015,
      "result_count": 0,
      "path": [
        "v3",
        "serp",
        "google",
        "organic",
        "task_post"
      ],
      "data": {
        "api": "serp",
        "function": "task_post",
        "se": "google",
        "se_type": "organic",
        "language_name": "English",
        "location_name": "United States",
        "keyword": "albert enstein",
        "priority":2,
        "pingback_url": "https://your-server.com/pingscript?id=$id&tag=$tag",
        "tag": "some_string_123",
        "device": "desktop",
        "os": "windows"
      },
      "result": null
    },
    {
      "id": "01291721-1535-0066-0000-ed3110168d43",
      "status_code": 20100,
      "status_message": "Task Created.",
      "time": "0.0040 sec.",
      "cost": 0.0015,
      "result_count": 0,
      "path": [
        "v3",
        "serp",
        "google",
        "organic",
        "task_post"
      ],
      "data": {
        "api": "serp",
        "function": "task_post",
        "se": "google",
        "se_type": "organic",
        "url": "https://www.google.co.uk/search?q=albert%20einstein&hl=en&gl=GB&uule=w+CAIQIFISCXXeIa8LoNhHEZkq1d1aOpZS",
        "postback_data": "html",
        "postback_url": "https://your-server.com/postbackscript",
        "device": "desktop",
        "os": "windows"
      },
      "result": null
    }
  ]
}
```









 

  cURL   php   Node.js   Python   cSharp